( cd usr/lib64 ; rm -rf liblightdm-gobject-1.so.0 )
( cd usr/lib64 ; ln -sf liblightdm-gobject-1.so.0.0.0 liblightdm-gobject-1.so.0 )
( cd usr/lib64 ; rm -rf liblightdm-gobject-1.so )
( cd usr/lib64 ; ln -sf liblightdm-gobject-1.so.0.0.0 liblightdm-gobject-1.so )

config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/lightdm/lightdm.conf.new

if ! grep -q "^lightdm:" /etc/passwd; then
  groupadd -fg 620 lightdm
  useradd -c "Light Display Manager" -d /var/lib/lightdm -u 620 -g lightdm -G audio -s /sbin/nologin lightdm
fi
